#if !defined(starfield_h)
#define      starfield_h

#include "main.h"
#include "utility.h"

//---------------------------------------------------------------------------------

#define maxarray 2000

class Starfield{
public:     Starfield();
	virtual ~Starfield();

	GLuint listID;
	int blend, depthtest, depthwrite, nlevel, type, n;
	float size, hollow, boundRight,boundLeft, maxc,minc;
	float xs[maxarray],ys[maxarray],zs[maxarray],rs[maxarray],gs[maxarray],bs[maxarray];
	float sizex, sizey; // particle

	Camera *camera;
	Texture *tex;

	void init(int n);
	void draw(void);
	void init2(int n);
	void draw2(Pref *pref);
	void update2(float fDeltaTime, float page);
	void destroy(void);
};

//---------------------------------------------------------------------------------------

#endif