#if !defined(vector_h)
#define      vector_h

#include "main.h"


//---------------------------------------------------------------------

class Vector{
public:     Vector();
	virtual ~Vector();

	float x,y,z;

	void   make(float x, float y, float z);
	float  length(void);
	Vector cross_prod(Vector v);
	float  dot_prod(Vector v);
	Vector normalize(void);
	Vector add(Vector v);
	Vector sub(Vector v);
	Vector mult(float n);
};

//----------------------------------------------------------------------

class Plane{
public:     Plane();
	virtual ~Plane();

	float a,b,c,d;
	Vector normal;

	void   make(float a, float b, float c, float d);
	float  distance(Vector v);
};

//----------------------------------------------------------------------


#endif

