#if !defined(mesh_h)
#define      mesh_h
// mesh.h

#include "utility.h"
#include "bump.h"

//------------------------------------------------------------------------------

class Mesh:public Object{
public:		Mesh();
	virtual ~Mesh();

	int resx, resy;
	float data[101][101][10];//x/y/z/nx/ny/nz/tx/ty/tz/lh
	float texOffsetx,texOffsety;

	void  init(Bump *bump);
	void  init(void);
	void  draw(Pref *pref);
	void  draw_grass(Pref *pref);
	float get( float x, float y);
	void  getv(float x, float y, float *xi, float *zi);
	void  calc_normal(void);
	void  calc_flat(void);
	float rnd(float n);
};

//------------------------------------------------------------------------------


#endif